---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab duo ask`

Generate Git commands from natural language.

## Synopsis

Generate Git commands from natural language.

```plaintext
glab duo ask <prompt> [flags]
```

## Examples

```plaintext
$ glab duo ask list last 10 commit titles

# => A list of Git commands to show the titles of the latest 10 commits with an explanation and an option to execute the commands.

```

## Options

```plaintext
      --git   Ask a question about Git. (default true)
```

## Options inherited from parent commands

```plaintext
      --help   Show help for this command.
```
